> For the complete documentation index, see [llms.txt](https://docs.altum.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.altum.ai/english/property-data/housing-features-api/authentication-input-and-response.md).

# Authentication, input and response

## Request housing features for Dutch residential properties

{% tabs %}
{% tab title="V2" %}

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/v2/objectdata`

#### Headers

| Name                                        | Type   | Description                                                                                          |
| ------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | Unique API Key from Altum. Create one on [https://platform.altum.ai](https://platform.altum.ai/auth) |
| Content-Type                                | string | application/json                                                                                     |

#### Request Body

| Name                                          | Type   | Description                                                                  |
| --------------------------------------------- | ------ | ---------------------------------------------------------------------------- |
| postcode<mark style="color:red;">\*</mark>    | string | Zipcode of the object                                                        |
| housenumber<mark style="color:red;">\*</mark> | number | House number of the object                                                   |
| houseaddition                                 | string | House letter and addition of the object                                      |
| valuation\_date                               | string | Enter as YYYYMMDD, gives newest transaction till that date. Default is TODAY |

{% tabs %}
{% tab title="200: OK Successful response" %}

```
{
		"bag_id": 363010000710354,
		"postcode": "1011EW",
		"housenumber": 48,
		"houseaddition": null,
		"valuation_date": "20240104",
		"city": "Amsterdam",
		"street": "Koningsstraat",
		"house_type_generic": "Huis",
		"house_type_specific": "Tussen/rijwoning",
		"type_house_construction": "Herenhuis, tussenwoning",
		"building_status": "Pand in gebruik",
		"inner_surface_area": 216.0,
		"outer_surface_area": 76.0,
		"build_year": 1906,
		"volume": 548.0,
		"rooms": 8,
		"number_of_bathrooms": 3,
		"garden_orientation": null,
		"garden_size": null,
		"garden_location": "Achtertuin",
		"monument": 0,
		"monument_description": "Geen monument / Onbekend",
		"longitude": 4.902011945627775,
		"latitude": 52.37216745876808,
		"neighbourhood_code": "BU03630404",
		"neighbourhood_name": "Nieuwmarkt",
		"municipality_code": "GM0363",
		"municipality_name": "Amsterdam",
		"province": "Noord-Holland",
		"use_ownership": "V",
		"rent_ownership": "E",
		"rent_ownership_class": 4.5,
		"ozb_tax": 0.0431,
		"waste_tax_one_person": 22.72,
		"waste_tax_more_persons": 330.34,
		"sewage_tax_one_person": 440.18,
		"sewage_tax_more_persons": 160.43,
		"protected_cityviews": 2,
		"protected_cityview_names": "['Amsterdam - Binnen de Singelgracht', 'Amsterdam - Nieuwmarktbuurt']"
}
```

{% endtab %}

{% tab title="400: Bad Request Unsuccessful response" %}

```
{
  "output": "The given house address not found in database, the combination of Post Code, House Number and House Addition does not exist."
}

{
  "output": "We are not able to provide data at the moment."
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Wrong input" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				43
			],
			"msg": "Expecting value: line 3 column 18 (char 43)",
			"type": "value_error.jsondecode",
			"ctx": {
				"msg": "Expecting value",
				"doc": "{\n  \"postcode\": \"2201PZ\",\n  \"housenumber\": a,\n  \"valuationdate\": \"20121001\"\n}",
				"pos": 43,
				"lineno": 3,
				"colno": 18
			}
		}
	]
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is not available and/or down" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="403: Forbidden Forbidden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="401: Unauthorized No access" %}

```
{
    'output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Example request

```
{
  "postcode": "2201PZ",
  "housenumber": 11,
  "valuation_date": "20221001"
}
```

{% endtab %}

{% tab title="V1" %}

<mark style="color:green;">`POST`</mark> `https://api.altum.ai/objectdata`

#### Headers

| Name                                        | Type   | Description                                                                 |
| ------------------------------------------- | ------ | --------------------------------------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | Unique API Key from Altum. Create one via Mopsus(<https://mopsus.altum.ai>) |
| Content-Type                                | string | application/json                                                            |

#### Request Body

| Name                                          | Type   | Description                                                                  |
| --------------------------------------------- | ------ | ---------------------------------------------------------------------------- |
| postcode<mark style="color:red;">\*</mark>    | string | Zipcode of the object                                                        |
| valuationdate                                 | string | Enter as YYYYMMDD, gives newest transaction till that date. Default is TODAY |
| houseaddition                                 | string | House letter and addition of the object                                      |
| housenumber<mark style="color:red;">\*</mark> | number | House number of the object                                                   |

{% tabs %}
{% tab title="200: OK Successful response" %}

```
{
	"Output": {
		"bag_id": "0363010000710354",
		"postcode": "1011EW",
		"housenumber": "48",
		"houseaddition": "None",
		"valuation_date": "20240104",
		"city": "Amsterdam",
		"street": "Koningsstraat",
		"house_type_generic": "Tussen/rijwoning",
		"house_type_specific": "None",
		"type_house_construction": "Herenhuis, tussenwoning",
		"building_status": "Pand in gebruik",
		"inner_surface_area": "216.0",
		"outer_surface_area": "76.0",
		"build_year": "1906.0",
		"volume": "548.0",
		"rooms": "8.0",
		"number_of_bathrooms": "3.0",
		"garden_orientation": "None",
		"garden_size": "None",
		"garden_location": "Achtertuin",
		"monument": "0",
		"monument_description": "Geen monument / Onbekend",
		"longitude": "4.902011945627775",
		"latitude": "52.37216745876808",
		"neighbourhood_code": "BU03630404",
		"neighbourhood_name": "Nieuwmarkt",
		"municipality_code": "363.0",
		"municipality_name": "Amsterdam",
		"province": "Noord-Holland",
		"use_ownership": "V",
		"rent_ownership": "E",
		"rent_ownership_class": "4.5",
		"ozb_tax": "0.0431",
		"waste_tax_one_person": "22.72",
		"waste_tax_more_persons": "330.34",
		"sewage_tax_one_person": "440.18",
		"sewage_tax_more_persons": "160.43",
		"protected_cityviews": "2",
		"protected_cityview_names": "['Amsterdam - Binnen de Singelgracht', 'Amsterdam - Nieuwmarktbuurt']"
	}
}
```

{% endtab %}

{% tab title="400: Bad Request Unsuccessful response" %}

```
{
  "Output": "The given house address not found in database, the combination of Post Code, House Number and House Addition does not exist."
}

{
  "Output": "We are not able to provide data at the moment."
}
```

{% endtab %}

{% tab title="422: Unprocessable Entity Wrong input" %}

```
{
	"detail": [
		{
			"loc": [
				"body",
				43
			],
			"msg": "Expecting value: line 3 column 18 (char 43)",
			"type": "value_error.jsondecode",
			"ctx": {
				"msg": "Expecting value",
				"doc": "{\n  \"postcode\": \"2201PZ\",\n  \"housenumber\": a,\n  \"valuationdate\": \"20121001\"\n}",
				"pos": 43,
				"lineno": 3,
				"colno": 18
			}
		}
	]
}
```

{% endtab %}

{% tab title="500: Internal Server Error Service is not available and/or down" %}

```
{
	"message": "Internal server error"
}
```

{% endtab %}

{% tab title="403: Forbidden Forbidden" %}

```
{
	"message": "Missing Authentication Token"
}
```

{% endtab %}

{% tab title="401: Unauthorized No access" %}

```
{
    'Output': 'Please use https://api.altum.ai or visit https://mopsus.altum.ai to make your request.'
}
```

{% endtab %}
{% endtabs %}

## Request body

#### Example request

```
{
  "postcode": "2201PZ",
  "housenumber": 11,
  "valuationdate": "20221001"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.altum.ai/english/property-data/housing-features-api/authentication-input-and-response.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
